function [hpdband,hpdmed] = hpdi_max(draws,percent)

drawdim = size(draws,2); % parameter in rows
ndraws  = size(draws,1); % draws in column
hpdband = zeros(2,drawdim);
hpdmed =zeros(drawdim,1);
nwidth  = floor(percent*ndraws);

for i=1:drawdim;
   drawcoli = draws(:,i);

   % sort response for period i, element 1 is max
   drawcoli = flipdim(sort(drawcoli,1),1);
   bup   = 1;
   minwidth  = drawcoli(1) - drawcoli(nwidth);
   j = 2;
   while j <= (ndraws-nwidth+1);
      newwidth = drawcoli(j) - drawcoli(j+nwidth-1);
      if newwidth < minwidth;
         bup = j;
         minwidth = newwidth;
      end;
      j = j+1;
   end;
   hpdband(2,i) = drawcoli(bup);
   hpdband(1,i) = drawcoli(bup+nwidth-1);
   hpdmed(i)=median(drawcoli(bup:bup+nwidth-1));
end;

